BlueItemInfo2FuBar = AceLibrary("AceAddon-2.0"):new("AceDB-2.0", "FuBarPlugin-2.0")
local mother = BlueItemInfo2
BlueItemInfo2FuBar.hasIcon = true

function BlueItemInfo2FuBar:OnInitialize()
	self:RegisterDB("BlueItemInfo2FuBarDB")
	self.title = mother.title
	self.version = mother.version
	self.cannotDetachTooltip = true
	self.blizzardTooltip = true
	self.defaultMinimapPosition = 183
	self.OnMenuRequest = mother.options
	self.OnMenuRequest.args.menu  = {
		type = "group",
		name = "미니맵 및 푸바 설정",
		desc = "미니맵 아이콘 및 푸바 메뉴를 설정합니다.",
		args = AceLibrary("FuBarPlugin-2.0"):GetAceOptionsDataTable(self),
		order = 50,
	}
	self:SetIcon(mother.icon)
end

function BlueItemInfo2FuBar:OnClick(button)
	mother:OnClick()
end

function BlueItemInfo2FuBar:OnTooltipUpdate()
	GameTooltip:AddLine(self.title)
	GameTooltip:AddLine("|cffffffffhttp://wow.inven.co.kr|r")
	GameTooltip:AddLine("좌클릭: UI창 토글", 0.2, 1, 0.2)
	GameTooltip:AddLine("우클릭: 설정", 0.2, 1, 0.2)
end